package wafly.app.remotedesktop2.comm;

import java.awt.event.KeyEvent;
import java.text.SimpleDateFormat;
import java.util.Date;

import wafly.app.remotedesktop2.forms.MainForm;

public class Util {
	private static SimpleDateFormat sdf = new SimpleDateFormat("[HH:mm:ss] ");
	
	public static int getKeyCode(int webKey){
		switch(webKey){
		case 13:
			return KeyEvent.VK_ENTER;
		case 186:
			return KeyEvent.VK_SEMICOLON;
		case 187:
			return KeyEvent.VK_EQUALS;
		case 188:
			return KeyEvent.VK_COMMA;
		case 189:
			return KeyEvent.VK_MINUS;
		case 190:
			return KeyEvent.VK_PERIOD;
		case 191:
			return KeyEvent.VK_SLASH;
		case 219:
			return KeyEvent.VK_OPEN_BRACKET;
		case 220:
			return KeyEvent.VK_BACK_SLASH;
		case 221:
			return KeyEvent.VK_CLOSE_BRACKET;
		default:
			return webKey;
		}
	}
	public static void log(String msg){
		MainForm.model.add(MainForm.model.size(), sdf.format(new Date())+msg);
	}
}
