package wafly.app.remotedesktop2.forms;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.ButtonGroup;
import javax.swing.JButton;
import javax.swing.JCheckBox;
import javax.swing.JDialog;
import javax.swing.JRadioButton;

import wafly.app.remotedesktop2.comm.Config;
import wafly.tool.util.ui.FormUtil;

public class AskOnCloseForm extends JDialog {
	private static final long serialVersionUID = 1L;
	private int result=0;
	public AskOnCloseForm(){
		setSize(235, 170);
		FormUtil.locateOnScreenCenter(this);
		setLayout(null);
		
		final JRadioButton miniCheckBox = new JRadioButton("仅隐藏主窗口");
		miniCheckBox.setLocation(5,10);
		miniCheckBox.setSize(200, 20);
		miniCheckBox.setSelected(true);
		add(miniCheckBox);
		
		final JRadioButton closeCheckBox = new JRadioButton("停止服务并退出程序");
		closeCheckBox.setLocation(5,40);
		closeCheckBox.setSize(200, 20);
		add(closeCheckBox);
		
		ButtonGroup group = new ButtonGroup();
		group.add(miniCheckBox);
		group.add(closeCheckBox);
		
		final JCheckBox notAskCheckBox = new JCheckBox("不再询问");
		notAskCheckBox.setLocation(20,70);
		notAskCheckBox.setSize(200, 20);
		add(notAskCheckBox);
		
		JButton okBtn = new JButton("确定");
		okBtn.setLocation(20,100);
		okBtn.setSize(75, 20);
		okBtn.addActionListener(new ActionListener() { public void actionPerformed(ActionEvent arg0) {
			if(miniCheckBox.isSelected())
				result=1;
			else if(closeCheckBox.isSelected())
				result=2;
			if(notAskCheckBox.isSelected())
				Config.actionOnClose=result;
			AskOnCloseForm.this.dispose();
		}});
		add(okBtn);
		
		JButton cancelBtn = new JButton("取消");
		cancelBtn.setLocation(120,100);
		cancelBtn.setSize(75, 20);
		cancelBtn.addActionListener(new ActionListener() { public void actionPerformed(ActionEvent arg0) {
			AskOnCloseForm.this.dispose();
		}});
		add(cancelBtn);
	}
	public int getResult(){
		return result;
	}
	
	public static void main(String[] args){
		new AskOnCloseForm().setVisible(true);
	}
}
