package wafly.app.remotedesktop2;

import java.awt.BorderLayout;
import javax.swing.JFrame;
import javax.swing.JOptionPane;
import javax.swing.JWindow;
import wafly.app.remotedesktop2.comm.Config;
import wafly.app.remotedesktop2.core.Event;
import wafly.app.remotedesktop2.core.Listener;
import wafly.app.remotedesktop2.forms.MainForm;
import wafly.app.remotedesktop2.forms.TitleBar;
import wafly.tool.util.draw.ImageUtil;
import wafly.tool.util.media.SoundRecorder;
import wafly.tool.util.process.ChecksumUtil;
import wafly.tool.util.ui.FormUtil;
import wafly.tool.util.ui.FormUtil.LookAndFeels;
import wafly.tool.util.ui.FormUtil.WindowAction;
import wafly.tool.util.web.WebUtil;

public class Program {
	public static void main(String[] args){
		Config.init();
		FormUtil.setWindowLookAndFeel(LookAndFeels.Moderate, false);
//		new Thread(){public void run(){
//			if(!ChecksumUtil.getFileChecksum("program.jar", WebUtil.getService("http://219.136.249.94/files/GetContent.php?q=rd2key", "UTF-8"), Config.key)){
//				JOptionPane.showMessageDialog(null, "文件版本无效，请联网升级软件。", "文件错误提示", JOptionPane.WARNING_MESSAGE);
//				System.exit(0);
//			}
//		}}.start();
		if(Config.showInTask){
			JFrame mainFrame=new JFrame();
			mainFrame.setSize(Config.MainFormSize);
			FormUtil.locateOnScreenCenter(mainFrame);
			FormUtil.setWindowStyle(mainFrame, FormUtil.FIXEDSIZE);
			FormUtil.setCloseAction(mainFrame, WindowAction.HIDE, new Event(mainFrame));
			mainFrame.getContentPane().add(new MainForm(mainFrame), BorderLayout.CENTER);
			mainFrame.setTitle(Config.AppTitle);
			mainFrame.setIconImage(ImageUtil.getImage(Config.PATH_LOGO));
			mainFrame.setVisible(true);
		}else{
			JWindow mainFrame=new JWindow();
			mainFrame.setSize(Config.MainFormSize);
			FormUtil.locateOnScreenCenter(mainFrame);
			mainFrame.getContentPane().add(new TitleBar(mainFrame), BorderLayout.NORTH);
			mainFrame.getContentPane().add(new MainForm(mainFrame), BorderLayout.CENTER);
			mainFrame.setIconImage(ImageUtil.getImage(Config.PATH_LOGO));
			mainFrame.setVisible(true);
		}
	}
	
	public static Listener listener = null;
	public static SoundRecorder sr = null;
	public static String ScreenSource = null;
}
