package wafly.app.remotedesktop2.core;

import java.awt.Frame;
import java.awt.Window;

import wafly.app.remotedesktop2.comm.Config;
import wafly.app.remotedesktop2.forms.AskOnCloseForm;

public class Event implements wafly.tool.util.ui.FormUtil.ActionMethod {
	private Window parent=null;
	public Event(Window container){
		this.parent=container;
	}
	@Override
	public boolean onClosing() {
		switch(Config.actionOnClose){
		case 0:
			AskOnCloseForm dlg = new AskOnCloseForm();
			dlg.setModal(true);
			dlg.setVisible(true);
			switch(dlg.getResult()){
			case 0:
				return false;
			case 1:
				return true;
			case 2:
				Config.save();
				System.exit(0);
				return true;
			}
		case 1:
			return true;
		case 2:
			Config.save();
			System.exit(0);
			return true;
		}
		return false;
	}
}
