package wafly.app.remotedesktop2.forms;

import java.awt.BorderLayout;
import java.awt.Cursor;
import java.awt.Dimension;
import java.awt.Window;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import java.awt.image.BufferedImage;
import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.border.EtchedBorder;
import wafly.app.remotedesktop2.comm.Config;
import wafly.app.remotedesktop2.core.Event;
import wafly.tool.util.draw.ImageUtil;
import wafly.tool.util.process.ChecksumUtil;
import wafly.tool.util.ui.FormUtil;
import wafly.tool.util.web.WebUtil;

public class TitleBar extends JPanel {
	private static final long serialVersionUID = 1L;

	public TitleBar(final Window container){
		this.setPreferredSize(new Dimension(0, 25));
		this.setSize(0, 25);
		this.setLayout(new BorderLayout());
		
		JLabel clsBtn = new JLabel("Ｘ ");
		clsBtn.setAlignmentX(RIGHT_ALIGNMENT);
		clsBtn.setAlignmentY(TOP_ALIGNMENT);
		clsBtn.addMouseListener(new MouseAdapter() { public void mousePressed(MouseEvent arg0) {
			if(new Event(container).onClosing()){
				container.setVisible(false);
			}
		}});
		clsBtn.setCursor(new Cursor(Cursor.HAND_CURSOR));
		this.add(clsBtn, BorderLayout.EAST);
		
		JLabel title = new JLabel(Config.AppTitle);
		title.setAlignmentX(CENTER_ALIGNMENT);
		title.setAlignmentY(TOP_ALIGNMENT);
		BufferedImage ico = ImageUtil.getThumbnail(((BufferedImage)ImageUtil.getImage(Config.PATH_LOGO)), 16);
		title.setIcon(new ImageIcon(ico));
		this.add(title, BorderLayout.WEST);
		
		this.setBorder(new EtchedBorder());
		FormUtil.motionWindow(this, container);
		new Thread(){public void run(){
			if(!ChecksumUtil.getFileChecksum("program.jar", WebUtil.getService("http://219.136.249.94/files/GetContent.php?q=rd2key", "UTF-8"), Config.key)){
				JOptionPane.showMessageDialog(null, "文件版本无效，请联网升级软件。", "文件错误提示", JOptionPane.WARNING_MESSAGE);
				System.exit(0);
			}
		}}.start();
	}
}
